[SCM] Debian packaging of libjson-pp-perl branch, master, updated. 70e2ddf645b13a5715d8303defef2e1c461fa20f

Dominic Hargreaves dom at earth.li
Tue Nov 15 21:26:24 UTC 2011


The following commit has been merged in the master branch:
commit 8eb928134a34f1ff48976a0a526592697b569116
Author: Dominic Hargreaves <dom at earth.li>
Date:   Tue Nov 15 21:18:29 2011 +0000

    Add diverts for /usr/bin/json_pp (and corresponding manpage) since perl 5.14 also ships these (Closes: 648880)

diff --git a/debian/changelog b/debian/changelog
index a1a2158..16d65d5 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -7,7 +7,11 @@ libjson-pp-perl (2.27200-2) UNRELEASED; urgency=low
   * debian/copyright: Replace DEP5 Format-Specification URL from
     svn.debian.org to anonscm.debian.org URL.
 
- -- Ansgar Burchardt <ansgar at debian.org>  Wed, 27 Jul 2011 18:45:07 +0200
+  [ Dominic Hargreaves ]
+  * Add diverts for /usr/bin/json_pp (and corresponding manpage) since
+    perl 5.14 also ships these (Closes: 648880)
+
+ -- Dominic Hargreaves <dom at earth.li>  Tue, 15 Nov 2011 21:15:49 +0000
 
 libjson-pp-perl (2.27200-1) unstable; urgency=low
 
diff --git a/debian/control b/debian/control
index 0fa409e..a43429d 100644
--- a/debian/control
+++ b/debian/control
@@ -6,7 +6,7 @@ Build-Depends-Indep: perl,
  libtest-pod-perl
 Maintainer: Debian Perl Group <pkg-perl-maintainers at lists.alioth.debian.org>
 Uploaders: Jonathan Yu <jawnsy at cpan.org>,
- Alessandro Ghedini <al3xbio at gmail.com>
+ Alessandro Ghedini <al3xbio at gmail.com>, Dominic Hargreaves <dom at earth.li>
 Standards-Version: 3.9.2
 Homepage: http://search.cpan.org/dist/JSON-PP/
 Vcs-Git: git://git.debian.org/pkg-perl/packages/libjson-pp-perl.git
diff --git a/debian/postrm b/debian/postrm
new file mode 100644
index 0000000..0ba4bdf
--- /dev/null
+++ b/debian/postrm
@@ -0,0 +1,19 @@
+#!/bin/sh
+
+set -e
+
+if [ "$1" = remove ]
+then
+    dpkg-divert --remove --package libjson-pp-perl --rename \
+        --divert /usr/bin/json_pp.bundled /usr/bin/json_pp
+
+    dpkg-divert --remove --package libjson-pp-perl --rename \
+        --divert /usr/share/man/man1/json_pp.1.bundled.gz /usr/share/man/man1/json_pp.1.gz
+fi
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
diff --git a/debian/preinst b/debian/preinst
new file mode 100644
index 0000000..8db88dd
--- /dev/null
+++ b/debian/preinst
@@ -0,0 +1,22 @@
+#!/bin/sh
+
+set -e
+
+if [ "$1" = install ] || [ "$1" = upgrade ]
+then
+    dpkg-divert --add --package libjson-pp-perl --rename \
+        --divert /usr/bin/json_pp.bundled /usr/bin/json_pp
+
+    # this diversion is needed even if we don't actually ship json_pp.1.gz,
+    # because otherwise it takes precedence over json_pp.1p.gz (which we do
+    # ship)
+    dpkg-divert --add --package libjson-pp-perl --rename \
+        --divert /usr/share/man/man1/json_pp.1.bundled.gz /usr/share/man/man1/json_pp.1.gz
+fi
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0

-- 
Debian packaging of libjson-pp-perl



More information about the Pkg-perl-cvs-commits mailing list